
import 'dart:async';

import 'package:flutter/services.dart';

class SunmiUhf {
  static const MethodChannel _channel = MethodChannel('sunmi_uhf');
  static const EventChannel _eventChannel = const EventChannel('sunmi_uhf.event');

  static Future<void> init()async {
    await _channel.invokeMethod('init');
  }

  static Future<void> scan() async {
    await _channel.invokeMethod('scan');
  }

  static Future<void> dispose() async {
    await _channel.invokeMethod('dispose');
  }

  /// Subscribe to this stream to receive barcode as string when it's scanned.
  /// Make sure to cancel subscription when you're done.
  static Stream<String?> onUhfScanned() {
    return _eventChannel.receiveBroadcastStream().map((dynamic event) => event as String?);
  }
}
